
-- --------------------------------------------------------

-- 
-- Tablo yaps : `ClassLessons`
-- 

CREATE TABLE IF NOT EXISTS `ClassLessons` (
  `LessonCode` char(5) default NULL,
  `LessonName` char(30) default NULL,
  `LessonPeriod` smallint(6) default NULL,
  `ClassCode` char(6) default NULL,
  `Teacher` char(30) default NULL,
  `RowNumber` smallint(6) default NULL
) TYPE=MyISAM;

-- --------------------------------------------------------

-- 
-- Tablo yaps : `Classes`
-- 

CREATE TABLE IF NOT EXISTS `Classes` (
  `ClassCode` char(6) default NULL,
  `ResponsibleTeacher` char(30) default NULL,
  `DirectorAssistant` char(30) default NULL,
  `Level` char(2) default NULL,
  `LessonPeriod` char(2) default NULL,
  `xxx` char(30) default NULL
) TYPE=MyISAM;

-- --------------------------------------------------------

-- 
-- Tablo yaps : `Continuity`
-- 

CREATE TABLE IF NOT EXISTS `Continuity` (
  `SchoolNumber` int(11) default NULL,
  `AM` longtext,
  `PM` longtext
) TYPE=MyISAM;

-- --------------------------------------------------------

-- 
-- Tablo yaps : `Grades`
-- 

CREATE TABLE IF NOT EXISTS `Grades` (
  `SchoolNumber` int(11) default NULL,
  `LessonRowNumber` int(11) default NULL,
  `LessonCode` varchar(5) default NULL,
  `Semester1Grade` char(1) default NULL,
  `Semester2Grade` char(1) default NULL,
  `Semester1WrittenGrade` varchar(30) default NULL,
  `Semester1OralGrade` varchar(30) default NULL,
  `Semester1Homework` varchar(9) default NULL,
  `Semester2WrittenGrade` varchar(30) default NULL,
  `Semester2OralGrade` varchar(30) default NULL,
  `Semester2Homework` varchar(9) default NULL,
  `Semester1Approval` char(1) default NULL,
  `Semester2Approval` char(1) default NULL,
  KEY `Index1` (`SchoolNumber`,`LessonCode`)
) TYPE=MyISAM;

-- --------------------------------------------------------

-- 
-- Tablo yaps : `LessonsSpool`
-- 

CREATE TABLE IF NOT EXISTS `LessonsSpool` (
  `LessonCode` char(5) default NULL,
  `LessonName` char(30) default NULL,
  `LessonPeriod` char(2) default NULL,
  `DepartmentLesson` char(1) default NULL
) TYPE=MyISAM;

-- --------------------------------------------------------

-- 
-- Tablo yaps : `Profile`
-- 

CREATE TABLE IF NOT EXISTS `Profile` (
  `SchoolNumber` varchar(10) default NULL,
  `Surname` varchar(20) default NULL,
  `Name` varchar(20) default NULL,
  `ClassCode` varchar(6) default NULL,
  `SelectiveLesson` varchar(30) default NULL,
  `ForeignLanguage` varchar(30) default NULL,
  `RegistrationDate` varchar(8) default NULL,
  `Address` varchar(255) default NULL,
  `Telephone` varchar(20) default NULL,
  `ParentsSurname` varchar(20) default NULL,
  `ParentsName` varchar(20) default NULL,
  `ParentsKinship` varchar(20) default NULL,
  `ParentsJob` varchar(20) default NULL,
  `ParentsHomeAddress` varchar(255) default NULL,
  `ParentsHomeTelephone` varchar(20) default NULL,
  `ParentsWorkAddress` varchar(255) default NULL,
  `ParentsWorkTelephone` varchar(20) default NULL,
  `PreviousSchool` varchar(50) default NULL,
  `FatherName` varchar(20) default NULL,
  `MotherName` varchar(20) default NULL,
  `BirthPlace` varchar(20) default NULL,
  `BirthDate` varchar(8) default NULL,
  `City` varchar(20) default NULL,
  `Town` varchar(20) default NULL,
  `Quarter` varchar(20) default NULL,
  `VolumeNumber` varchar(10) default NULL,
  `RowNumber` varchar(10) default NULL,
  `FamilyRowNumber` varchar(10) default NULL,
  `RegistryOfBirths` varchar(20) default NULL,
  `ReasonOfRequest` varchar(10) default NULL,
  `RecordNumber` varchar(20) default NULL,
  `IdentiyCardSerialNumber` varchar(20) default NULL,
  `RequestDate` varchar(8) default NULL,
  `EducationalBranch` varchar(30) default NULL,
  `FatherHomeAddress` varchar(255) default NULL,
  `FatherHomeTelephone` varchar(20) default NULL,
  `FatherWorkAddress` varchar(255) default NULL,
  `FatherWorkTelephone` varchar(20) default NULL,
  `FatherGSMTelephone` varchar(20) default NULL,
  `MotherHomeAddress` varchar(255) default NULL,
  `MotherHomeTelephone` varchar(20) default NULL,
  `MotherWorkAddress` varchar(255) default NULL,
  `MotherWorkTelephone` varchar(20) default NULL,
  `MotherGSMTelephone` varchar(20) default NULL,
  `Departmant` varchar(30) default NULL,
  `FatherJob` varchar(30) default NULL,
  `MotherJob` varchar(30) default NULL,
  `Origin` varchar(15) default NULL,
  `MilitaryOffice` varchar(20) default NULL,
  `Level` char(2) default NULL,
  `Password` varchar(8) default NULL,
  KEY `NewIndex` (`SchoolNumber`)
) TYPE=MyISAM;

-- --------------------------------------------------------

-- 
-- Tablo yaps : `Schools`
-- 

CREATE TABLE IF NOT EXISTS `Schools` (
  `SchoolCode` tinyint(3) unsigned NOT NULL default '0',
  `SchoolName` char(255) NOT NULL default 'Belirtilmemi',
  `DirectorName` char(255) default 'Belirtilmemi'
) TYPE=MyISAM;

-- --------------------------------------------------------

-- 
-- Tablo yaps : `Teachers`
-- 

CREATE TABLE IF NOT EXISTS `Teachers` (
  `ID` int(5) NOT NULL auto_increment,
  `UID` char(24) default 'Belirtilmemi',
  `Password` char(24) default 'Belirtilmemi',
  KEY `NewIndex` (`ID`)
) TYPE=MyISAM AUTO_INCREMENT=139 ;

-- --------------------------------------------------------

-- 
-- Tablo yaps : `errors`
-- 

CREATE TABLE IF NOT EXISTS `errors` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `uid` varchar(12) NOT NULL default '',
  `ip` varchar(15) NOT NULL default '',
  `host` varchar(255) NOT NULL default '',
  `date` varchar(50) NOT NULL default '',
  `message` text NOT NULL,
  UNIQUE KEY `id` (`id`),
  KEY `id_2` (`id`)
) TYPE=MyISAM COMMENT='Sisteme oluan hatalar.' AUTO_INCREMENT=3 ;

-- --------------------------------------------------------

-- 
-- Tablo yaps : `info`
-- 

CREATE TABLE IF NOT EXISTS `info` (
  `fieldname` varchar(50) default NULL,
  `fieldvalue` text NOT NULL
) TYPE=MyISAM COMMENT='eitli e-okul bilgileri.';

-- --------------------------------------------------------

-- 
-- Tablo yaps : `loginlogs`
-- 

CREATE TABLE IF NOT EXISTS `loginlogs` (
  `id` int(3) unsigned NOT NULL auto_increment,
  `uid` char(12) NOT NULL default '',
  `sid` char(64) NOT NULL default '',
  `referer` char(255) NOT NULL default '',
  `timestamp` char(10) NOT NULL default '',
  `logout` char(1) NOT NULL default '0',
  `ip` char(15) NOT NULL default '',
  `host` char(255) NOT NULL default '',
  `date` char(40) NOT NULL default '',
  UNIQUE KEY `id` (`id`),
  KEY `id_2` (`id`)
) TYPE=MyISAM COMMENT='Sisteme giri yapan kullanclar' AUTO_INCREMENT=66 ;

-- --------------------------------------------------------

-- 
-- Tablo yaps : `passwords`
-- 

CREATE TABLE IF NOT EXISTS `passwords` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `uid` char(20) default NULL,
  `password` char(15) default NULL,
  `classcode` char(10) default NULL,
  KEY `NewIndex` (`id`,`uid`)
) TYPE=MyISAM COMMENT='retmen ve rencilerin ifreleri.' AUTO_INCREMENT=376 ;

-- --------------------------------------------------------

-- 
-- Tablo yaps : `sessions`
-- 

CREATE TABLE IF NOT EXISTS `sessions` (
  `id` int(3) unsigned NOT NULL auto_increment,
  `sid` char(32) NOT NULL default '0',
  `time` int(11) NOT NULL default '0',
  `uid` char(20) NOT NULL default '',
  `agent` char(255) NOT NULL default '',
  KEY `indeks` (`id`),
  KEY `indeks2` (`sid`)
) TYPE=MyISAM COMMENT='Login olan kullanclara ait bilgiler.' AUTO_INCREMENT=27 ;

-- --------------------------------------------------------

-- 
-- Tablo yaps : `updatelogs`
-- 

CREATE TABLE IF NOT EXISTS `updatelogs` (
  `id` int(3) unsigned NOT NULL auto_increment,
  `uid` char(12) NOT NULL default '',
  `successcode` char(255) NOT NULL default '',
  `referer` char(255) NOT NULL default '',
  `timestamp` char(10) NOT NULL default '',
  `logout` char(1) NOT NULL default '0',
  `ip` char(15) NOT NULL default '',
  `host` char(255) NOT NULL default '',
  `date` char(50) NOT NULL default '',
  `password` char(32) NOT NULL default '',
  `recordcount` int(10) unsigned NOT NULL default '0',
  `sqlfilesize` char(15) NOT NULL default '',
  UNIQUE KEY `id` (`id`),
  KEY `id_2` (`id`)
) TYPE=MyISAM COMMENT='Veri taban gncelleme bilgileri.' AUTO_INCREMENT=16 ;
